QGIS Application - Bug report #10635
Separate the buttons for "create shapefile” and "create spatiallite"
2014-06-18 01:55 PM - Tobias Schneider

Status: Closed

Priority: Low

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: wontfix
Crashes QGIS or corrupls data: Copied to github as #: 19038
Description

| think it would be good to separate the two options for creating a new vector layer:

"Create Spatiallite layer"
"Create Shapefile layer”

A menu for only two options is not optimal, and there would be enough space to put the two options in the normal menu below each other.

History

#1 - 2014-06-19 12:30 AM - Matthias Kuhn
- Priority changed from Normal to Low
- Category set to GUI

Why is the current solution not optimal?
Is there the need to use both alternately?
For what | think:
- Every button that can be hidden leaves more room for others / more space for the map / reduces visual clutter

- | assume that most people use either always shapefile or always spatialite

#2 - 2014-06-19 12:33 AM - Nathan Woodrow
- Resolution set to wontfix
- Status changed from Open to Closed

There is no need for another tool button on the toolbar for this. | think we will creating a flexible Create New X dialog in the next version.
